aside {
    grid-area: sidebar;
    color: $sidebar-label;
    font-family: $serif;
    font-size: 10px;
    font-weight: 600;
    text-transform: uppercase;
    background: url('../assets/sheet/red_sidebar.png') no-repeat top center;
    background-size: 247px;
    height: 770px;
    width: 247px;
    position: fixed;
    overflow: hidden;
    .logo {
        margin-top: 5px;
        border: none;
        position: relative;
        z-index: 10;
    }
    .sidebar {
        margin: -17px 23px 0 30px;
        overflow: auto;
        overflow-x: hidden;
        height: 650px;
        @include scrollbar;

        h1,
        h2,
        h3,
        h4,
        h5,
        h6 {
            color: white;
            margin: 0;
            padding: 0;
            line-height: 1;
        }
        h4,
        label {
            color: var(--sidebar-label);
            @include micro;
            white-space: nowrap;
        }

        &_title {
            display: flex;
            justify-content: space-between;
            border-bottom: 1px solid $sidebar-title-color;
            margin: 1em 0 0.5em;
            h2,
            h4,
            a {
                @include micro;
                border: none;
                margin: 0;
                line-height: 1.5;
            }
            h2 {
                color: $sidebar-title-color;
                &.hover {
                    color: white;
                    cursor: pointer;
                    &:hover {
                        text-shadow: 0 0 1px white;
                    }
                }
            }
            h4 {
                margin-left: auto;
                & + h4 {
                    margin-left: 1em;
                }
            }
            a {
                color: white;
                text-decoration: none;
            }
        }
        .dots {
            display: flex;
            flex-direction: column;
        }
        .data-value {
            display: inline-flex;
            justify-content: center;
            align-items: center;
            font-size: 0; /* Removes whitespace for inputs */

            & > * {
                flex-basis: 1;
            }
            input[type='number'],
            h2 {
                color: $sidebar-label;
                text-align: center;
                font-size: 26px;
                line-height: 1;
                font-weight: 500;
                font-family: $serif;
                border: none;
                @include text-gold;
            }
            input[type='number'] {
                background: none;
                -moz-appearance: textfield;
                color: white;
                &:focus {
                    box-shadow: none;
                }
                &::-webkit-outer-spin-button,
                &::-webkit-inner-spin-button {
                    -webkit-appearance: none;
                    margin: 0;
                }
            }
        }
        a.roll-icon {
            display: inline-flex;
            align-items: center;
            padding-bottom: 2px;
            animation-play-state: paused;

            &:hover {
                animation-play-state: running;
                @include wobble;
                @include animate-infinite;
            }
        }
        select {
            font-family: $serif;
            font-size: 16px;
            color: white;
            background-color: var(--primary);
            border: 1px solid rgba(0, 0, 0, 0.2);
            border-radius: 0;
            padding: 4px 8px;
            width: 100%;
            max-width: 100%;
            box-shadow: inset 0 0 0 1px rgba(255, 255, 255, 0.075);
            @include input-border;
        }
        ol {
            display: flex;
            flex-direction: column;
            list-style: none;
            margin: 0;
            padding: 0;
            li {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: space-between;
            }
        }

        .plaque {
            display: inline-flex;
            justify-content: center;
            align-items: center;
            text-align: center;
            width: 100%;
            text-transform: capitalize;
            font-family: $serif;
            font-size: 14px;
            font-weight: 400;
            padding: 3px 0;
            border-radius: 0;
            position: relative;

            span {
                &::before,
                &::after {
                    position: absolute;
                    content: url('../assets/icons/pathfinder-orn.svg');
                    height: 100%;
                    width: 25px;
                    top: 4px;
                }
                &::after {
                    transform: scaleX(-1);
                    right: 0;
                }
                &::before {
                    left: 0;
                }
            }
        }

        .hover-content {
            display: none;
        }

        /* prettier-ignore */
        @import 'health',
                'armor',
                'stamina',
                'initPercept',
                'saves',
                'classDC',
                'resists';
    }
}
